gnutls_openpgp_key_verify_ring(3)

NAME
gnutls_openpgp_key_verify_ring - Verify all signatures in the key

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_key_verify_ring(gnutls_openpgp_key_t key, gnutls_openpgp_keyring_t keyring, unsigned int flags, unsigned int * verify);

ARGUMENTS

gnutls_openpgp_key_t key
    the structure that holds the key.

gnutls_openpgp_keyring_t keyring
    holds the keyring to check against

unsigned int flags
    unused (should be 0)

unsigned int * verify
    will hold the certificate verification output.

DESCRIPTION
Verify all signatures in the key, using the given set of keys (keyring). The key verification output will be put in verify and will be one or more of the gnutls_certificate_status_t enumerated elements bitwise or'd.

GNUTLS_CERT_INVALID
A signature on the key is invalid.

GNUTLS_CERT_REVOKED
The key has been revoked. Note that this function does not verify using any "web of trust". You may use GnuPG for that purpose, or any other external PGP application. Returns 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.